Subject: [PATCH v1 1/3] phy: phy-core: allow specifying supply at port level

From: [email-masked] (Kishon Vijay Abraham I)
Date: Thu, 26 Mar 2015 03:41:32 +0530

Hi,

On Saturday 21 March 2015 02:55 AM, Arun Ramamurthy wrote:
> Multi-port phy's may have per-port power supplies. Let's change phy core
> to first attempt to look up the supply at the port level, and then, if
> not found, check parent device.

Why not just have every port provide the power supply if it needs?
I don't think checking for parent device should be present in the phy-core at
all.

Thanks
Kishon